bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

GNU grep 2.14 : FAIL: 1


From: Dennis Clarke
Subject: GNU grep 2.14 : FAIL: 1
Date: Fri, 23 Nov 2012 11:06:04 -0500

May be related to issues seen in 
http://lists.gnu.org/archive/html/bug-grep/2012-11/msg00012.html

Carefully applied patch : 
http://lists.gnu.org/archive/html/bug-grep/2012-11/msg00012.html

Here are all the details : 

$ ls -lap $SRC/grep_2.14*
-rw-r--r--   1 dclarke  other     156672 Nov 23 15:30 
/usr/local/src/grep_2.14_patchfiles.tar
$ pwd 
/usr/local/build

$ xz -dc $SRC/grep-2.14.tar.xz | tar -xf - 
$ mv grep-2.14 grep-2.14_SunOS5.10_sparcv9
$ cd grep-2.14_SunOS5.10_sparcv9
$ tar -xvf $SRC/grep_2.14_patchfiles.tar
x src/main.c, 69980 bytes, 137 tape blocks
x tests/Makefile.am, 4808 bytes, 10 tape blocks
x tests/grep-dir, 956 bytes, 2 tape blocks
x src/main.c_backup, 69876 bytes, 137 tape blocks
x tests/Makefile.am_backup, 4821 bytes, 10 tape blocks
x tests/grep-dir_backup, 752 bytes, 2 tape blocks
$ 
$ diff src/main.c_backup src/main.c       
1864a1865
>   int fread_errno;
2014,2015c2015
<         while (!feof (fp)
<                && (cc = fread (keys + keycc, 1, keyalloc - 1 - keycc, fp)) > 
0)
---
>         while ((cc = fread (keys + keycc, 1, keyalloc - 1 - keycc, fp)) != 0)
2020a2021,2023
>         fread_errno = errno;
>         if (ferror (fp))
>           error (EXIT_TROUBLE, fread_errno, "%s", optarg);
$ 
$ diff tests/Makefile.am_backup tests/Makefile.am       
27,28c27
<   word-delim-multibyte \
<   grep-dir
---
>   word-delim-multibyte
$ 
$ diff tests/grep-dir_backup tests/grep-dir       
7,10c7,13
< echo x | grep -f a/; { test $? -gt 1 && test $? -lt 128; } || fail=1
< echo x | grep -if a/; { test $? -gt 1 && test $? -lt 128; } || fail=1
< echo x | grep -Ff a/; { test $? -gt 1 && test $? -lt 128; } || fail=1
< echo x | grep -Fif a/; { test $? -gt 1 && test $? -lt 128; } || fail=1
---
> # Lower and upper bound of valid exit status for "grep -f DIR",
> # when reading from empty and nonempty files, respectively.
> if cat a >/dev/null 2>&1; then
>   l=1 u=1 L=0 U=1
> else
>   l=2 u=127 L=2 U=127
> fi
12,15c15,18
< grep -f a/ < /dev/null; { test $? -gt 1 && test $? -lt 128; } || fail=1
< grep -if a/ < /dev/null; { test $? -gt 1 && test $? -lt 128; } || fail=1
< grep -Ff a/ < /dev/null; { test $? -gt 1 && test $? -lt 128; } || fail=1
< grep -Fif a/ < /dev/null; { test $? -gt 1 && test $? -lt 128; } || fail=1
---
> echo x | grep -f a/; { test $? -ge $L && test $? -le $U; } || fail=1
> echo x | grep -if a/; { test $? -ge $L && test $? -le $U; } || fail=1
> echo x | grep -Ff a/; { test $? -ge $L && test $? -le $U; } || fail=1
> echo x | grep -Fif a/; { test $? -ge $L && test $? -le $U; } || fail=1
16a20,24
> grep -f a/ < /dev/null; { test $? -ge $l && test $? -le $u; } || fail=1
> grep -if a/ < /dev/null; { test $? -ge $l && test $? -le $u; } || fail=1
> grep -Ff a/ < /dev/null; { test $? -ge $l && test $? -le $u; } || fail=1
> grep -Fif a/ < /dev/null; { test $? -ge $l && test $? -le $u; } || fail=1
> 
$ 

$ ls 
ABOUT-NLS       GNUmakefile     README          aclocal.m4      configure.ac    
maint.mk
AUTHORS         INSTALL         README-alpha    build-aux       doc             
po
COPYING         Makefile.am     README-release  cfg.mk          gnulib-tests    
src
ChangeLog       Makefile.in     THANKS          config.hin      lib             
tests
ChangeLog-2009  NEWS            TODO            configure       m4
$ 
$ which autoreconf 
/usr/local/bin/autoreconf
$ autoreconf --version 
autoreconf (GNU Autoconf) 2.69
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+/Autoconf: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David J. MacKenzie and Akim Demaille.
$ 

$ touch ChangeLog
$ autoreconf --install --verbose --force 
autoreconf: Entering directory `.'
autoreconf: running: autopoint --force
Copying file build-aux/config.rpath
Copying file m4/glibc2.m4
Copying file m4/intdiv0.m4
Copying file m4/intl.m4
Copying file m4/intldir.m4
Copying file m4/intmax.m4
Copying file m4/printf-posix.m4
Copying file m4/uintmax_t.m4
Copying file m4/visibility.m4
Copying file po/Makefile.in.in
Copying file po/Makevars.template
autoreconf: running: aclocal --force -I m4
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/local/bin/autoconf --force
autoreconf: running: /usr/local/bin/autoheader --force
autoreconf: running: automake --add-missing --copy --force-missing
autoreconf: Leaving directory `.'
$ 

$ 
$ ./configure --enable-dependency-tracking --enable-threads=posix 
--with-libiconv-prefix=/usr/local --without-libpth-prefix 
--with-libintl-prefix=/usr/local
checking for a BSD-compatible install... build-aux/install-sh -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... build-aux/install-sh -c -d
checking for gawk... gawk
checking whether /usr/local/bin/gmake sets $(MAKE)... yes
checking whether /usr/local/bin/gmake supports nested variables... yes
checking build system type... sparc-sun-solaris2.10
checking host system type... sparc-sun-solaris2.10
checking for gawk... (cached) gawk
checking for gcc... /opt/solarisstudio12.3/bin/cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... no
checking whether /opt/solarisstudio12.3/bin/cc accepts -g... yes
checking for /opt/solarisstudio12.3/bin/cc option to accept ISO C89... none 
needed
checking for style of include used by /usr/local/bin/gmake... GNU
checking dependency style of /opt/solarisstudio12.3/bin/cc... dashXmstdout
checking how to run the C preprocessor... /opt/solarisstudio12.3/bin/cc -E
checking for grep that handles long lines and -e... /usr/local/bin/grep
checking for egrep... (cached) fn_grep
checking for Minix Amsterdam compiler... no
checking for ranlib... ranlib
checking whether /opt/solarisstudio12.3/bin/cc and cc understand -c and -o 
together... yes
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for /opt/solarisstudio12.3/bin/cc option to accept ISO C99... 
-D_STDC_C99=
checking for /opt/solarisstudio12.3/bin/cc -D_STDC_C99= option to accept ISO 
Standard C... (cached) -D_STDC_C99=
checking for ranlib... (cached) ranlib
checking for size_t... yes
checking for an ANSI C-conforming const... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for inline... inline
checking whether <wchar.h> uses 'inline' correctly... yes
checking for btowc... yes
checking for _set_invalid_parameter_handler... no
checking for fchdir... yes
checking for fdopendir... yes
checking for fcntl... yes
checking for symlink... yes
checking for mempcpy... no
checking for isblank... yes
checking for iswctype... yes
checking for mbsrtowcs... yes
checking for wmemchr... yes
checking for wmemcpy... yes
checking for wmempcpy... no
checking for __fpending... yes
checking for fstatat... yes
checking for openat... yes
checking for fstatfs... yes
checking for getdtablesize... yes
checking for iswcntrl... yes
checking for iswblank... yes
checking for lstat... yes
checking for mbsinit... yes
checking for mbrtowc... yes
checking for mbrlen... yes
checking for mbslen... no
checking for mprotect... yes
checking for nl_langinfo... yes
checking for wcscoll... yes
checking for strdup... yes
checking for strerror_r... yes
checking for __xpg_strerror_r... no
checking for strtoimax... yes
checking for strtoumax... yes
checking for pipe... yes
checking for wcrtomb... yes
checking for wctob... yes
checking for wcwidth... yes
checking for newlocale... no
checking for setenv... yes
checking for snprintf... yes
checking for vasnprintf... no
checking for isascii... yes
checking for setlocale... yes
checking for nl_langinfo and CODESET... yes
checking for a traditional french locale... fr_FR
checking for unistd.h... (cached) yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking dirent.h usability... yes
checking dirent.h presence... yes
checking for dirent.h... yes
checking wctype.h usability... yes
checking wctype.h presence... yes
checking for wctype.h... yes
checking stdio_ext.h usability... yes
checking stdio_ext.h presence... yes
checking for stdio_ext.h... yes
checking for sys/stat.h... (cached) yes
checking sys/vfs.h usability... yes
checking sys/vfs.h presence... yes
checking for sys/vfs.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking iconv.h usability... yes
checking iconv.h presence... yes
checking for iconv.h... yes
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking for stdint.h... (cached) yes
checking for inttypes.h... (cached) yes
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking xlocale.h usability... no
checking xlocale.h presence... no
checking for xlocale.h... no
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking features.h usability... no
checking features.h presence... no
checking for features.h... no
checking whether the preprocessor supports include_next... yes
checking whether system header files limit the line length... no
checking whether // is distinct from /... no
checking for complete errno.h... yes
checking whether strerror_r is declared... yes
checking for strerror_r... (cached) yes
checking whether strerror_r returns char *... no
checking whether fchdir is declared... yes
checking for working fcntl.h... no (bad O_NOATIME)
checking for pid_t... yes
checking for mode_t... yes
checking for promoted mode_t type... mode_t
checking for mbstate_t... yes
checking whether stat file-mode macros are broken... no
checking for nlink_t... yes
checking whether fchmodat is declared without a macro... no
checking whether fstat is declared without a macro... yes
checking whether fstatat is declared without a macro... yes
checking whether futimens is declared without a macro... yes
checking whether lchmod is declared without a macro... no
checking whether lstat is declared without a macro... yes
checking whether mkdirat is declared without a macro... no
checking whether mkfifo is declared without a macro... yes
checking whether mkfifoat is declared without a macro... no
checking whether mknod is declared without a macro... yes
checking whether mknodat is declared without a macro... no
checking whether stat is declared without a macro... yes
checking whether utimensat is declared without a macro... yes
checking whether lstat correctly handles trailing slash... yes
checking whether getcwd (NULL, 0) allocates memory for result... no
checking for getcwd with POSIX signature... yes
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... no
checking whether getenv is declared... yes
checking for non-GNU ld... /usr/ccs/bin/ld
checking if the linker (/usr/ccs/bin/ld) is GNU ld... no
checking for shared library run path origin... done
checking for 64-bit host... no
checking for iconv... yes
checking for working iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so 
-R/usr/local/lib
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, const char * *inbuf, size_t 
*inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for unsigned long long int... yes
checking for long long int... yes
checking whether stdint.h conforms to C99... no
checking sys/inttypes.h usability... yes
checking sys/inttypes.h presence... yes
checking for sys/inttypes.h... yes
checking sys/bitypes.h usability... no
checking sys/bitypes.h presence... no
checking for sys/bitypes.h... no
checking for bit size of ptrdiff_t... 64
checking for bit size of size_t... 64
checking for bit size of sig_atomic_t... 32
checking for bit size of wchar_t... 32
checking for bit size of wint_t... 32
checking whether sig_atomic_t is signed... yes
checking whether wchar_t is signed... yes
checking whether wint_t is signed... yes
checking for ptrdiff_t integer literal suffix... l
checking for size_t integer literal suffix... ul
checking for sig_atomic_t integer literal suffix... 
checking for wchar_t integer literal suffix... 
checking for wint_t integer literal suffix... 
checking whether imaxabs is declared without a macro... yes
checking whether imaxdiv is declared without a macro... yes
checking whether strtoimax is declared without a macro... yes
checking whether strtoumax is declared without a macro... yes
checking for inttypes.h... (cached) yes
checking whether the inttypes.h PRIxNN macros are broken... no
checking for wint_t... yes
checking whether iswcntrl works... yes
checking for towlower... yes
checking for wctype_t... yes
checking for wctrans_t... yes
checking whether wctype is declared without a macro... yes
checking whether iswctype is declared without a macro... yes
checking whether wctrans is declared without a macro... yes
checking whether towctrans is declared without a macro... yes
checking whether getc_unlocked is declared... yes
checking whether we are using the GNU C Library >= 2.1 or uClibc... no
checking for wchar_t... yes
checking whether NULL can be used in arbitrary expressions... yes
checking whether malloc, realloc, calloc are POSIX compliant... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for a traditional japanese locale... ja_JP.eucJP
checking for a transitional chinese locale... zh_CN.GB18030
checking for a french Unicode locale... fr_FR.UTF-8
checking whether mbrtowc handles incomplete characters... yes
checking whether mbrtowc works as well as mbtowc... yes
checking whether mbrtowc handles a NULL pwc argument... yes
checking whether mbrtowc handles a NULL string argument... yes
checking whether mbrtowc has a correct return value... no
checking whether mbrtowc returns 0 when parsing a NUL character... yes
checking for mmap... yes
checking for MAP_ANONYMOUS... yes
checking whether memchr works... yes
checking for C/C++ restrict keyword... __restrict__
checking whether memrchr is declared... no
checking whether <limits.h> defines MIN and MAX... no
checking whether <sys/param.h> defines MIN and MAX... no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking whether strdup is declared... yes
checking whether strerror(0) succeeds... yes
checking for strerror_r with POSIX signature... yes
checking whether strerror_r works... no
checking whether ffsl is declared without a macro... no
checking whether ffsll is declared without a macro... no
checking whether memmem is declared without a macro... no
checking whether mempcpy is declared without a macro... no
checking whether memrchr is declared without a macro... no
checking whether rawmemchr is declared without a macro... no
checking whether stpcpy is declared without a macro... no
checking whether stpncpy is declared without a macro... no
checking whether strchrnul is declared without a macro... no
checking whether strdup is declared without a macro... yes
checking whether strncat is declared without a macro... yes
checking whether strndup is declared without a macro... no
checking whether strnlen is declared without a macro... no
checking whether strpbrk is declared without a macro... yes
checking whether strsep is declared without a macro... no
checking whether strcasestr is declared without a macro... no
checking whether strtok_r is declared without a macro... yes
checking whether strerror_r is declared without a macro... yes
checking whether strsignal is declared without a macro... yes
checking whether strverscmp is declared without a macro... no
checking whether strnlen is declared... no
checking whether strtoimax is declared... (cached) yes
checking whether strtoumax is declared... (cached) yes
checking for struct timespec in <time.h>... yes
checking whether clearerr_unlocked is declared... no
checking whether feof_unlocked is declared... no
checking whether ferror_unlocked is declared... no
checking whether fflush_unlocked is declared... no
checking whether fgets_unlocked is declared... no
checking whether fputc_unlocked is declared... no
checking whether fputs_unlocked is declared... no
checking whether fread_unlocked is declared... no
checking whether fwrite_unlocked is declared... no
checking whether getchar_unlocked is declared... yes
checking whether putc_unlocked is declared... yes
checking whether putchar_unlocked is declared... yes
checking if environ is properly declared... no
checking for off_t... yes
checking for LC_MESSAGES... yes
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking whether imported symbols can be declared weak... yes
checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
checking for pthread_kill in -lpthread... yes
checking for multithread API to use... posix
checking whether setenv is declared... yes
checking search.h usability... yes
checking search.h presence... yes
checking for search.h... yes
checking for tsearch... yes
checking whether snprintf returns a byte count as in C99... yes
checking whether snprintf is declared... yes
checking whether unsetenv is declared... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for intmax_t... yes
checking where to find the exponent in a 'double'... word 0 bit 20
checking for snprintf... (cached) yes
checking for strnlen... no
checking for wcslen... yes
checking for wcsnlen... no
checking for mbrtowc... (cached) yes
checking for wcrtomb... (cached) yes
checking whether _snprintf is declared... no
checking for alloca as a compiler built-in... no
checking whether btowc(0) is correct... yes
checking whether btowc(EOF) is correct... yes
checking whether this system has an arbitrary file name length limit... yes
checking for closedir... yes
checking whether isblank is declared without a macro... yes
checking for d_ino member in directory struct... yes
checking for d_type member in directory struct... no
checking whether alphasort is declared without a macro... yes
checking whether closedir is declared without a macro... yes
checking whether dirfd is declared without a macro... no
checking whether fdopendir is declared without a macro... yes
checking whether opendir is declared without a macro... yes
checking whether readdir is declared without a macro... yes
checking whether rewinddir is declared without a macro... yes
checking whether scandir is declared without a macro... yes
checking for dirfd... no
checking whether dirfd is declared... no
checking whether dirfd is a macro... no
checking how to get the file descriptor associated with an open DIR*... dd_fd
checking whether // is distinct from /... (cached) no
checking whether dup2 works... yes
checking for error_at_line... no
checking whether fcntl handles F_DUPFD correctly... yes
checking whether fcntl understands F_DUPFD_CLOEXEC... no
checking whether fcntl is declared without a macro... yes
checking whether openat is declared without a macro... yes
checking whether fdopendir is declared... (cached) yes
checking whether fdopendir works... yes
checking for working POSIX fnmatch... yes
checking whether __fpending is declared... yes
checking whether fstatat (..., 0) works... yes
checking for struct statfs.f_type... no
checking for getpagesize... yes
checking whether getpagesize is declared... yes
checking whether the compiler generally respects inline... yes
checking whether INT32_MAX < INTMAX_MAX... yes
checking whether INT64_MAX == LONG_MAX... yes
checking whether UINT32_MAX < UINTMAX_MAX... yes
checking whether UINT64_MAX == ULONG_MAX... yes
checking whether iswblank is declared... yes
checking whether langinfo.h defines CODESET... yes
checking whether langinfo.h defines T_FMT_AMPM... yes
checking whether langinfo.h defines ERA... yes
checking whether langinfo.h defines YESEXPR... yes
checking whether nl_langinfo is declared without a macro... yes
checking whether locale.h conforms to POSIX:2001... yes
checking whether struct lconv is properly defined... yes
checking whether setlocale is declared without a macro... yes
checking whether duplocale is declared without a macro... no
checking whether lseek detects pipes... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking whether mbrtowc handles incomplete characters... (cached) yes
checking whether mbrtowc works as well as mbtowc... (cached) yes
checking whether mbrtowc handles a NULL pwc argument... (cached) yes
checking whether mbrtowc handles a NULL string argument... (cached) yes
checking whether mbrtowc has a correct return value... (cached) no
checking whether mbrtowc returns 0 when parsing a NUL character... (cached) yes
checking whether mbrtowc handles incomplete characters... (cached) yes
checking whether mbrtowc works as well as mbtowc... (cached) yes
checking whether mbrtowc handles incomplete characters... (cached) yes
checking whether mbrtowc works as well as mbtowc... (cached) yes
checking whether mbsrtowcs works... no
checking for mempcpy... (cached) no
checking for memrchr... no
checking whether YESEXPR works... yes
checking for obstacks... no
checking whether open recognizes a trailing slash... yes
checking for opendir... yes
checking for perl5.005 or newer... yes
checking whether program_invocation_name is declared... no
checking whether program_invocation_short_name is declared... no
checking for readdir... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking for working re_compile_pattern... no
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking whether isblank is declared... (cached) yes
checking for ssize_t... yes
checking whether stat handles trailing slashes on directories... yes
checking whether stat handles trailing slashes on files... yes
checking for va_copy... yes
checking whether NULL can be used in arbitrary expressions... (cached) yes
checking whether _Exit is declared without a macro... yes
checking whether atoll is declared without a macro... yes
checking whether canonicalize_file_name is declared without a macro... no
checking whether getloadavg is declared without a macro... no
checking whether getsubopt is declared without a macro... yes
checking whether grantpt is declared without a macro... yes
checking whether initstate is declared without a macro... yes
checking whether initstate_r is declared without a macro... no
checking whether mkdtemp is declared without a macro... no
checking whether mkostemp is declared without a macro... no
checking whether mkostemps is declared without a macro... no
checking whether mkstemp is declared without a macro... yes
checking whether mkstemps is declared without a macro... no
checking whether posix_openpt is declared without a macro... yes
checking whether ptsname is declared without a macro... yes
checking whether ptsname_r is declared without a macro... no
checking whether random is declared without a macro... yes
checking whether random_r is declared without a macro... no
checking whether realpath is declared without a macro... yes
checking whether rpmatch is declared without a macro... no
checking whether setenv is declared without a macro... yes
checking whether setstate is declared without a macro... yes
checking whether setstate_r is declared without a macro... no
checking whether srandom is declared without a macro... yes
checking whether srandom_r is declared without a macro... no
checking whether strtod is declared without a macro... yes
checking whether strtoll is declared without a macro... yes
checking whether strtoull is declared without a macro... yes
checking whether unlockpt is declared without a macro... yes
checking whether unsetenv is declared without a macro... yes
checking for stpcpy... no
checking for working strerror function... yes
checking whether strtoimax works... yes
checking for strtoll... yes
checking for strtoull... yes
checking for nlink_t... (cached) yes
checking whether fchmodat is declared without a macro... (cached) no
checking whether fstat is declared without a macro... (cached) yes
checking whether fstatat is declared without a macro... (cached) yes
checking whether futimens is declared without a macro... (cached) yes
checking whether lchmod is declared without a macro... (cached) no
checking whether lstat is declared without a macro... (cached) yes
checking whether mkdirat is declared without a macro... (cached) no
checking whether mkfifo is declared without a macro... (cached) yes
checking whether mkfifoat is declared without a macro... (cached) no
checking whether mknod is declared without a macro... (cached) yes
checking whether mknodat is declared without a macro... (cached) no
checking whether stat is declared without a macro... (cached) yes
checking whether utimensat is declared without a macro... (cached) yes
checking whether chdir is declared without a macro... yes
checking whether chown is declared without a macro... yes
checking whether dup is declared without a macro... yes
checking whether dup2 is declared without a macro... yes
checking whether dup3 is declared without a macro... no
checking whether environ is declared without a macro... no
checking whether euidaccess is declared without a macro... no
checking whether faccessat is declared without a macro... no
checking whether fchdir is declared without a macro... yes
checking whether fchownat is declared without a macro... yes
checking whether fdatasync is declared without a macro... yes
checking whether fsync is declared without a macro... yes
checking whether ftruncate is declared without a macro... yes
checking whether getcwd is declared without a macro... yes
checking whether getdomainname is declared without a macro... no
checking whether getdtablesize is declared without a macro... yes
checking whether getgroups is declared without a macro... yes
checking whether gethostname is declared without a macro... yes
checking whether getlogin is declared without a macro... yes
checking whether getlogin_r is declared without a macro... yes
checking whether getpagesize is declared without a macro... yes
checking whether getusershell is declared without a macro... yes
checking whether setusershell is declared without a macro... yes
checking whether endusershell is declared without a macro... yes
checking whether group_member is declared without a macro... no
checking whether isatty is declared without a macro... yes
checking whether lchown is declared without a macro... yes
checking whether link is declared without a macro... yes
checking whether linkat is declared without a macro... no
checking whether lseek is declared without a macro... yes
checking whether pipe is declared without a macro... yes
checking whether pipe2 is declared without a macro... no
checking whether pread is declared without a macro... yes
checking whether pwrite is declared without a macro... yes
checking whether readlink is declared without a macro... yes
checking whether readlinkat is declared without a macro... no
checking whether rmdir is declared without a macro... yes
checking whether sethostname is declared without a macro... no
checking whether sleep is declared without a macro... yes
checking whether symlink is declared without a macro... yes
checking whether symlinkat is declared without a macro... no
checking whether ttyname_r is declared without a macro... yes
checking whether unlink is declared without a macro... yes
checking whether unlinkat is declared without a macro... yes
checking whether usleep is declared without a macro... yes
checking whether btowc is declared without a macro... yes
checking whether wctob is declared without a macro... yes
checking whether mbsinit is declared without a macro... yes
checking whether mbrtowc is declared without a macro... yes
checking whether mbrlen is declared without a macro... yes
checking whether mbsrtowcs is declared without a macro... yes
checking whether mbsnrtowcs is declared without a macro... no
checking whether wcrtomb is declared without a macro... yes
checking whether wcsrtombs is declared without a macro... yes
checking whether wcsnrtombs is declared without a macro... no
checking whether wcwidth is declared without a macro... yes
checking whether wmemchr is declared without a macro... yes
checking whether wmemcmp is declared without a macro... yes
checking whether wmemcpy is declared without a macro... yes
checking whether wmemmove is declared without a macro... yes
checking whether wmemset is declared without a macro... yes
checking whether wcslen is declared without a macro... yes
checking whether wcsnlen is declared without a macro... no
checking whether wcscpy is declared without a macro... yes
checking whether wcpcpy is declared without a macro... no
checking whether wcsncpy is declared without a macro... yes
checking whether wcpncpy is declared without a macro... no
checking whether wcscat is declared without a macro... yes
checking whether wcsncat is declared without a macro... yes
checking whether wcscmp is declared without a macro... yes
checking whether wcsncmp is declared without a macro... yes
checking whether wcscasecmp is declared without a macro... no
checking whether wcsncasecmp is declared without a macro... no
checking whether wcscoll is declared without a macro... yes
checking whether wcsxfrm is declared without a macro... yes
checking whether wcsdup is declared without a macro... no
checking whether wcschr is declared without a macro... yes
checking whether wcsrchr is declared without a macro... yes
checking whether wcscspn is declared without a macro... yes
checking whether wcsspn is declared without a macro... yes
checking whether wcspbrk is declared without a macro... yes
checking whether wcsstr is declared without a macro... yes
checking whether wcstok is declared without a macro... yes
checking whether wcswidth is declared without a macro... yes
checking whether mbrtowc handles incomplete characters... (cached) yes
checking whether mbrtowc works as well as mbtowc... (cached) yes
checking whether wcrtomb return value is correct... no
checking whether wctob works... yes
checking whether wctob is declared... (cached) yes
checking whether iswcntrl works... (cached) yes
checking for towlower... (cached) yes
checking for wctype_t... (cached) yes
checking for wctrans_t... (cached) yes
checking whether wctype is declared without a macro... (cached) yes
checking whether iswctype is declared without a macro... (cached) yes
checking whether wctrans is declared without a macro... (cached) yes
checking whether towctrans is declared without a macro... (cached) yes
checking whether wcwidth is declared... (cached) yes
checking whether wcwidth works reasonably in UTF-8 locales... yes
checking for a traditional french locale... (cached) fr_FR
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for a traditional french locale... (cached) fr_FR
checking for a turkish Unicode locale... none
checking whether fdopen sets errno... yes
checking whether conversion from 'int' to 'long double' works... yes
checking for setlocale... (cached) yes
checking for uselocale... no
checking for pthread_rwlock_t... yes
checking for a traditional french locale... (cached) fr_FR
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for a traditional japanese locale... (cached) ja_JP.eucJP
checking for a transitional chinese locale... (cached) zh_CN.GB18030
checking for a turkish Unicode locale... (cached) none
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for a traditional french locale... (cached) fr_FR
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for a traditional japanese locale... (cached) ja_JP.eucJP
checking for a transitional chinese locale... (cached) zh_CN.GB18030
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for a transitional chinese locale... (cached) zh_CN.GB18030
checking for mmap... (cached) yes
checking for MAP_ANONYMOUS... yes
checking for mmap... (cached) yes
checking for MAP_ANONYMOUS... yes
checking for a traditional french locale... (cached) fr_FR
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for putenv compatible with GNU and SVID... no
checking whether setenv validates arguments... yes
checking for a traditional french locale... (cached) fr_FR
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for a traditional japanese locale... (cached) ja_JP.eucJP
checking for a transitional chinese locale... (cached) zh_CN.GB18030
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for snprintf... (cached) yes
checking whether snprintf respects a size of 1... yes
checking whether printf supports POSIX/XSI format strings with positions... yes
checking for wchar_t... (cached) yes
checking for wint_t... (cached) yes
checking whether dprintf is declared without a macro... no
checking whether fpurge is declared without a macro... no
checking whether fseeko is declared without a macro... yes
checking whether ftello is declared without a macro... yes
checking whether getdelim is declared without a macro... no
checking whether getline is declared without a macro... no
checking whether gets is declared without a macro... yes
checking whether pclose is declared without a macro... yes
checking whether popen is declared without a macro... yes
checking whether renameat is declared without a macro... no
checking whether snprintf is declared without a macro... yes
checking whether tmpfile is declared without a macro... yes
checking whether vdprintf is declared without a macro... no
checking whether vsnprintf is declared without a macro... yes
checking for mmap... (cached) yes
checking for MAP_ANONYMOUS... yes
checking whether symlink handles trailing slash correctly... yes
checking for unsetenv... yes
checking for unsetenv() return type... int
checking whether unsetenv obeys POSIX... no
checking for ptrdiff_t... yes
checking for a traditional french locale... (cached) fr_FR
checking for a french Unicode locale... (cached) fr_FR.UTF-8
checking for a traditional japanese locale... (cached) ja_JP.eucJP
checking for a transitional chinese locale... (cached) zh_CN.GB18030
checking for stdint.h... (cached) yes
checking for ANSI C header files... (cached) yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether closedir returns void... no
checking whether NLS is requested... yes
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking for CFPreferencesCopyAppValue... (cached) no
checking for CFLocaleCopyCurrent... (cached) no
checking for GNU gettext in libc... no
checking for iconv... (cached) yes
checking for working iconv... (cached) yes
checking how to link with libiconv... /usr/local/lib/libiconv.so 
-R/usr/local/lib
checking for GNU gettext in libintl... yes
checking whether to use NLS... yes
checking where the gettext function comes from... external libintl
checking how to link with libintl... /usr/local/lib/libintl.so -L/usr/local/lib 
/usr/local/lib/libiconv.so -lc -R/usr/local/lib
checking pcre.h usability... yes
checking pcre.h presence... yes
checking for pcre.h... yes
checking pcre/pcre.h usability... no
checking pcre/pcre.h presence... no
checking for pcre/pcre.h... no
checking for library containing pcre_compile... -lpcre
checking for pcre_compile... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating lib/Makefile
config.status: creating src/Makefile
config.status: creating tests/Makefile
config.status: creating po/Makefile.in
config.status: creating doc/Makefile
config.status: creating gnulib-tests/Makefile
config.status: creating config.h
config.status: linking lib/colorize-posix.c to lib/colorize.c
config.status: executing depfiles commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
$ 
$ 

$ 
$ gmake
/usr/local/bin/gmake  all-recursive
gmake[1]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9'
Making all in po
gmake[2]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/po'
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/po'
Making all in lib
gmake[2]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
  GEN      configmake.h
  GEN      c++defs.h
  GEN      warn-on-use.h
  GEN      ctype.h
  GEN      arg-nonnull.h
  GEN      dirent.h
  GEN      fcntl.h
  GEN      getopt.h
  GEN      iconv.h
  GEN      inttypes.h
  GEN      langinfo.h
  GEN      locale.h
  GEN      unused-parameter.h
  GEN      stdint.h
  GEN      stdlib.h
  GEN      string.h
  GEN      sys/stat.h
  GEN      sys/types.h
  GEN      time.h
  GEN      unistd.h
  GEN      unistr.h
  GEN      unitypes.h
  GEN      uniwidth.h
  GEN      wchar.h
  GEN      wctype.h
/usr/local/bin/gmake  all-am
gmake[3]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
  CC       argmatch.o
  CC       c-ctype.o
  CC       c-strcasecmp.o
  CC       c-strncasecmp.o
  CC       cloexec.o
  CC       close-stream.o
  CC       closeout.o
  CC       cycle-check.o
  CC       opendir-safer.o
  CC       dirname-lgpl.o
  CC       basename-lgpl.o
  CC       stripslash.o
  CC       exclude.o
  CC       exitfail.o
  CC       creat-safer.o
  CC       open-safer.o
  CC       fd-hook.o
  CC       filenamecat-lgpl.o
  CC       hash.o
  CC       i-ring.o
  CC       localcharset.o
  CC       malloca.o
  CC       mbchar.o
  CC       mbscasecmp.o
  CC       mbslen.o
  CC       mbsstr.o
  CC       openat-die.o
  CC       openat-safer.o
  CC       progname.o
  CC       propername.o
  CC       quotearg.o
  CC       save-cwd.o
  CC       striconv.o
  CC       strnlen1.o
  CC       trim.o
  CC       dup-safer.o
  CC       fd-safer.o
  CC       pipe-safer.o
  CC       u8-mbtoucr.o
  CC       u8-uctomb.o
  CC       u8-uctomb-aux.o
  CC       width.o
  CC       version-etc.o
  CC       version-etc-fsf.o
  CC       xmalloc.o
  CC       xalloc-die.o
  CC       xstriconv.o
  CC       xstrtoimax.o
  CC       xstrtol.o
  CC       xstrtoul.o
  CC       xstrtol-error.o
  CC       colorize.o
  CC       chdir-long.o
  CC       dirfd.o
  CC       error.o
  CC       fcntl.o
  CC       fts.o
  CC       getcwd-lgpl.o
  CC       getopt.o
  CC       getopt1.o
  CC       mbrlen.o
  CC       mbrtowc.o
  CC       mbsrtowcs.o
  CC       mbsrtowcs-state.o
  CC       mempcpy.o
  CC       memrchr.o
  CC       obstack.o
  CC       openat-proc.o
  CC       regex.o
  CC       stpcpy.o
  CC       strerror.o
  CC       strnlen.o
  CC       wcrtomb.o
  AR       libgreputils.a
  GEN      charset.alias
  GEN      ref-add.sed
  GEN      ref-del.sed
gmake[3]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
Making all in doc
gmake[2]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/doc'
  GEN      grep.1
  GEN      fgrep.1
  GEN      egrep.1
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/doc'
Making all in src
gmake[2]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src'
  CC       kwset.o
  CC       dfa.o
  CC       searchutils.o
  CC       dfasearch.o
  CC       kwsearch.o
  CC       pcresearch.o
  CC       main.o
  AR       libgrep.a
  CC       grep.o
  CCLD     grep
ld: warning: file /usr/local/lib/libiconv.so: attempted multiple inclusion of 
file
  CC       egrep.o
  CCLD     egrep
ld: warning: file /usr/local/lib/libiconv.so: attempted multiple inclusion of 
file
  CC       fgrep.o
  CCLD     fgrep
ld: warning: file /usr/local/lib/libiconv.so: attempted multiple inclusion of 
file
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src'
Making all in tests
gmake[2]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
gmake[2]: Nothing to be done for `all'.
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
Making all in gnulib-tests
gmake[2]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/gnulib-tests'
  GEN      arg-nonnull.h
  GEN      c++defs.h
  GEN      unused-parameter.h
  GEN      warn-on-use.h
  GEN      stdio.h
/usr/local/bin/gmake  all-recursive
gmake[3]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/gnulib-tests'
Making all in .
gmake[4]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/gnulib-tests'
gmake[4]: Nothing to be done for `all-am'.
gmake[4]: Leaving directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/gnulib-tests'
gmake[3]: Leaving directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/gnulib-tests'
gmake[2]: Leaving directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/gnulib-tests'
gmake[2]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9'
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9'
gmake[1]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9'
$ 

$ 
$ date 
Fri Nov 23 15:52:13 GMT 2012
$ pwd 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9
$ gmake check 
Making check in po
gmake[1]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/po'
gmake[1]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/po'
Making check in lib
gmake[1]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
/usr/local/bin/gmake  check-am
gmake[2]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
gmake[2]: Nothing to be done for `check-am'.
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
gmake[1]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/lib'
Making check in doc
gmake[1]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/doc'
gmake[1]: Nothing to be done for `check'.
gmake[1]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/doc'
Making check in src
gmake[1]: Entering directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src'
gmake[1]: Nothing to be done for `check'.
gmake[1]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src'
Making check in tests
gmake[1]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
/usr/local/bin/gmake  get-mb-cur-max
gmake[2]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
  CC       get-mb-cur-max.o
  CCLD     get-mb-cur-max
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
/usr/local/bin/gmake  check-TESTS
gmake[2]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
gmake[3]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
PASS: backref
backref-multibyte-slow: skipped test: your system lacks the timeout program
SKIP: backref-multibyte-slow
PASS: backref-word
big-hole: skipped test: expensive: disabled by default
SKIP: big-hole
big-match: skipped test: expensive: disabled by default
SKIP: big-match
PASS: bogus-wctob
PASS: bre
PASS: case-fold-backref
PASS: case-fold-backslash-w
PASS: case-fold-char-class
PASS: case-fold-char-range
PASS: case-fold-char-type
PASS: char-class-multibyte
PASS: dfa-coverage
PASS: dfa-heap-overrun
PASS: dfaexec-multibyte
empty: skipped test: your system lacks the timeout program
SKIP: empty
PASS: epipe
XFAIL: equiv-classes
PASS: ere
euc-mb: skipped test: EUC-JP locale not found
SKIP: euc-mb
PASS: fedora
fgrep-infloop: skipped test: your system lacks the timeout program
SKIP: fgrep-infloop
PASS: file
fmbtest: skipped test: this system lacks the cs_CZ.UTF-8 locale
SKIP: fmbtest
PASS: foad1
PASS: grep-dev-null
PASS: grep-dir
PASS: help-version
PASS: ignore-mmap
in-eq-out-infloop: skipped test: your system lacks the timeout program
SKIP: in-eq-out-infloop
PASS: include-exclude
PASS: inconsistent-range
PASS: khadafy
PASS: max-count-vs-context
PASS: empty-line-mb
PASS: unibyte-bracket-expr
PASS: high-bit-range
PASS: options
PASS: pcre
PASS: pcre-abort
PASS: pcre-z
PASS: prefix-of-multibyte
PASS: r-dot
PASS: repetition-overflow
PASS: reversed-range-endpoints
PASS: skip-device
sjis-mb: skipped test: your system lacks the timeout program
SKIP: sjis-mb
PASS: spencer1
FAIL: spencer1-locale
PASS: status
PASS: symlink
PASS: turkish-I
PASS: turkish-I-without-dot
PASS: warn-char-classes
XFAIL: word-delim-multibyte
PASS: word-multi-file
PASS: yesno
gmake[4]: Entering directory 
`/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
gmake[4]: Nothing to be done for `all'.
gmake[4]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
=========================================
   GNU grep 2.14: tests/test-suite.log
=========================================

# TOTAL: 58
# PASS:  46
# SKIP:  9
# XFAIL: 2
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

SKIP: backref-multibyte-slow
============================

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests 
gt-backref-multibyte-slow.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-backref-multibyte-slow.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ 
d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
+++ case $d in
+++ test -d 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
++++ ls -dgo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU'
+++ case $perms in
+++ test 0 = 0
+++ echo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
+++ return
++ 
test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
++ cd 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ require_timeout_
+ skip_ your system lacks the timeout program
+ warn_ 'backref-multibyte-slow: skipped test: your' system lacks the timeout 
program
+ case $IFS in
+ printf '%s\n' 'backref-multibyte-slow: skipped test: your system lacks the 
timeout program'
backref-multibyte-slow: skipped test: your system lacks the timeout program
+ test 9 = 2
+ printf '%s\n' 'backref-multibyte-slow: skipped test: your system lacks the 
timeout program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
+ rm -rf 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-backref-multibyte-slow.aGzU
+ exit 77

SKIP: big-hole
==============

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests gt-big-hole.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-big-hole.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
+++ case $d in
+++ test -d /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
++++ ls -dgo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-big-hole.aOLU'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
+++ return
++ test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ expensive_
+ test '' '!=' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'big-hole: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'big-hole: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
big-hole: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 = 2
+ printf '%s\n' 'big-hole: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
+ rm -rf /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-hole.aOLU
+ exit 77

SKIP: big-match
===============

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests 
gt-big-match.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-big-match.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
+++ case $d in
+++ test -d /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
++++ ls -dgo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-big-match.aqRU'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
+++ return
++ 
test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ expensive_
+ test '' '!=' yes
+ skip_ 'expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ warn_ 'big-match: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ case $IFS in
+ printf '%s\n' 'big-match: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
big-match: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive

+ test 9 = 2
+ printf '%s\n' 'big-match: skipped test: expensive: disabled by default
This test is relatively expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

  env RUN_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

  make check-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
+ rm -rf /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-big-match.aqRU
+ exit 77

SKIP: empty
===========

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests gt-empty.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-empty.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
+++ case $d in
+++ test -d /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
++++ ls -dgo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-empty.aGzW'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
+++ return
++ test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_timeout_
+ skip_ your system lacks the timeout program
+ warn_ 'empty: skipped test: your' system lacks the timeout program
+ case $IFS in
+ printf '%s\n' 'empty: skipped test: your system lacks the timeout program'
empty: skipped test: your system lacks the timeout program
+ test 9 = 2
+ printf '%s\n' 'empty: skipped test: your system lacks the timeout program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
+ rm -rf /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-empty.aGzW
+ exit 77

XFAIL: equiv-classes
====================

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests 
gt-equiv-classes.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-equiv-classes.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
+++ case $d in
+++ test -d 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
++++ ls -dgo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-equiv-classes.aaLW'
+++ case $perms in
+++ test 0 = 0
+++ echo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
+++ return
++ 
test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ require_compiled_in_MB_support
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ printf $'\303\251'
+ LC_ALL=en_US.UTF-8
+ grep '[[:lower:]]'
é
+ LC_ALL=en_US.UTF-8
+ export LC_ALL
+ echo $'\303\240'
+ grep '[[=a=]]'
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
+ rm -rf 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-equiv-classes.aaLW
+ exit 1

SKIP: euc-mb
============

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests gt-euc-mb.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-euc-mb.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
+++ case $d in
+++ test -d /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
++++ ls -dgo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-euc-mb.aiVX'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
+++ return
++ test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_compiled_in_MB_support
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ printf $'\303\251'
+ LC_ALL=en_US.UTF-8
+ grep '[[:lower:]]'
é
+ locale=ja_JP.EUC-JP
+ case $(get-mb-cur-max $locale) in
++ get-mb-cur-max ja_JP.EUC-JP
+ skip_ 'EUC-JP locale not found'
+ warn_ 'euc-mb: skipped test: EUC-JP locale not found'
+ case $IFS in
+ printf '%s\n' 'euc-mb: skipped test: EUC-JP locale not found'
euc-mb: skipped test: EUC-JP locale not found
+ test 9 = 2
+ printf '%s\n' 'euc-mb: skipped test: EUC-JP locale not found'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
+ rm -rf /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-euc-mb.aiVX
+ exit 77

SKIP: fgrep-infloop
===================

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests 
gt-fgrep-infloop.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-fgrep-infloop.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
+++ case $d in
+++ test -d 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
++++ ls -dgo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-fgrep-infloop.ai.X'
+++ case $perms in
+++ test 0 = 0
+++ echo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
+++ return
++ 
test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ require_timeout_
+ skip_ your system lacks the timeout program
+ warn_ 'fgrep-infloop: skipped test: your' system lacks the timeout program
+ case $IFS in
+ printf '%s\n' 'fgrep-infloop: skipped test: your system lacks the timeout 
program'
fgrep-infloop: skipped test: your system lacks the timeout program
+ test 9 = 2
+ printf '%s\n' 'fgrep-infloop: skipped test: your system lacks the timeout 
program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
+ rm -rf 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fgrep-infloop.ai.X
+ exit 77

SKIP: fmbtest
=============

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests gt-fmbtest.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-fmbtest.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
+++ case $d in
+++ test -d /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
++++ ls -dgo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-fmbtest.kYkY'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
+++ return
++ test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ cz=cs_CZ.UTF-8
+ LC_ALL=cs_CZ.UTF-8
+ locale -k LC_CTYPE
+ grep -q 'charmap.*UTF-8'
+ skip_ this system lacks the cs_CZ.UTF-8 locale
+ warn_ 'fmbtest: skipped test: this' system lacks the cs_CZ.UTF-8 locale
+ case $IFS in
+ printf '%s\n' 'fmbtest: skipped test: this system lacks the cs_CZ.UTF-8 
locale'
fmbtest: skipped test: this system lacks the cs_CZ.UTF-8 locale
+ test 9 = 2
+ printf '%s\n' 'fmbtest: skipped test: this system lacks the cs_CZ.UTF-8 
locale'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
+ rm -rf /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-fmbtest.kYkY
+ exit 77

SKIP: in-eq-out-infloop
=======================

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests 
gt-in-eq-out-infloop.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-in-eq-out-infloop.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ 
d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
+++ case $d in
+++ test -d 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
++++ ls -dgo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:52 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ'
+++ case $perms in
+++ test 0 = 0
+++ echo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
+++ return
++ 
test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
++ cd 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_timeout_
+ skip_ your system lacks the timeout program
+ warn_ 'in-eq-out-infloop: skipped test: your' system lacks the timeout program
+ case $IFS in
+ printf '%s\n' 'in-eq-out-infloop: skipped test: your system lacks the timeout 
program'
in-eq-out-infloop: skipped test: your system lacks the timeout program
+ test 9 = 2
+ printf '%s\n' 'in-eq-out-infloop: skipped test: your system lacks the timeout 
program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
+ rm -rf 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-in-eq-out-infloop.aWAZ
+ exit 77

SKIP: sjis-mb
=============

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests gt-sjis-mb.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-sjis-mb.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
+++ case $d in
+++ test -d /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
++++ ls -dgo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:53 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-sjis-mb.aal2'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
+++ return
++ test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_compiled_in_MB_support
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
+ printf $'\303\251'
+ LC_ALL=en_US.UTF-8
+ grep '[[:lower:]]'
é
+ require_timeout_
+ skip_ your system lacks the timeout program
+ warn_ 'sjis-mb: skipped test: your' system lacks the timeout program
+ case $IFS in
+ printf '%s\n' 'sjis-mb: skipped test: your system lacks the timeout program'
sjis-mb: skipped test: your system lacks the timeout program
+ test 9 = 2
+ printf '%s\n' 'sjis-mb: skipped test: your system lacks the timeout program'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
+ rm -rf /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-sjis-mb.aal2
+ exit 77

FAIL: spencer1-locale
=====================

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests 
gt-spencer1-locale.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-spencer1-locale.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
+++ case $d in
+++ test -d 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
++++ ls -dgo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:53 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-spencer1-locale.a4D3'
+++ case $perms in
+++ test 0 = 0
+++ echo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
+++ return
++ 
test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
++ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ fail=0
+ gawk -v extra_locale=fr_FR.UTF-8 -f 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/spencer1-locale.awk 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/spencer1.tests
+ /bin/bash spencer1-locale.script
Spencer test #642 failed (ru_RU.KOI8-R)
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
+ rm -rf 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-spencer1-locale.a4D3
+ exit 1

XFAIL: word-delim-multibyte
===========================

++ initial_cwd_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests 
gt-word-delim-multibyte.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+++ template_=gt-word-delim-multibyte.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ 
d=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
+++ case $d in
+++ test -d 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
++++ ls -dgo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
++++ tr S -
+++ perms='drwx------   2       2 Nov 23 15:53 
/usr/local/build/grep-2.14_-unO-5.10_sparcv9/tests/gt-word-delim-multibyte.aand'
+++ case $perms in
+++ test 0 = 0
+++ echo 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
+++ return
++ 
test_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
++ cd 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
++ gl_init_sh_nl_='
'
++ IFS='        
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ require_en_utf8_locale_
+ path_prepend_ .
+ test 1 '!=' 0
+ path_dir_=.
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $abs_path_dir_ in
+ 
PATH=/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/../src:/usr/local/build/grep-2.14_SunOS5.10_sparcv9/src:/usr/local/bin:/usr/local/sbin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/solarisstudio12.3/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/local/texlive/2012/bin/sparc-solaris
+ create_exe_shims_ /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/.
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ case $(get-mb-cur-max en_US.UTF-8) in
++ get-mb-cur-max en_US.UTF-8
++ printf '\303\251'
+ e_acute=$'\303\251'
+ echo $'\303\251'
+ LC_ALL=en_US.UTF-8
+ export LC_ALL
+ fail=0
+ grep '\<é' in
+ fail=1
+ compare out in
+ compare_dev_null_ out in
+ test 2 = 2
+ test xout = x/dev/null
+ test xin = x/dev/null
+ return 2
+ case $? in
+ compare_ out in
+ diff -u out in
+ cat diff.out
--- out Fri Nov 23 15:53:29 2012
+++ in  Fri Nov 23 15:53:29 2012
@@ -1,0 +1,1 @@
+é
+ rm -f diff.out
+ false
+ fail=1
+ compare /dev/null err
+ compare_dev_null_ /dev/null err
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s err
+ return 0
+ return 0
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests
+ chmod -R u+rwx 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
+ rm -rf 
/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests/gt-word-delim-multibyte.aand
+ exit 1

============================================================================
Testsuite summary for GNU grep 2.14
============================================================================
# TOTAL: 58
# PASS:  46
# SKIP:  9
# XFAIL: 2
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to address@hidden
============================================================================
gmake[3]: *** [test-suite.log] Error 1
gmake[3]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
gmake[2]: *** [check-TESTS] Error 2
gmake[2]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
gmake[1]: *** [check-am] Error 2
gmake[1]: Leaving directory `/usr/local/build/grep-2.14_SunOS5.10_sparcv9/tests'
gmake: *** [check-recursive] Error 1
$ 

See attached log file.

Dennis 



Attachment: grep-2.14_SunOS5.10_sparcv9_test-suite.log.bz2
Description: BZip2 compressed data


reply via email to

[Prev in Thread] Current Thread [Next in Thread]